

llgm <- function(data, type, model, estimator, nodos){
  
  
  type <- type
  estimator <- estimator
  nodos <- nodos
  source("calibration.R")
  source("calillgrad.R")
  source("colmin.R")
  source("contdata.R")
  source("converinteger.R")
  source("conversion.R")
  source("eapllcon.R")
  source("eapllgrad.R")
  source("eapllgrad.R")
  source("finfinite.R")
  source("irtp.R")
  source("llgrmp.R")
  source("llgrmp2.R")
  source("ones.R")
  source("pllgrad.R")
  source("preel.R")
  source("reapllcon.R")
  source("reapllgrad.R")
  source("relieap.R")
  source("reliml.R")
  source("rmlestll.R")
  source("scoring.R")
  source("zeros.R")
  library(lavaan)
  
  # 1. Conversion: type of data: cont or graded

  if (tolower(type) == "continuous") {
    
    # Solicitar al usuario que elija entre "A" o "B"
    opcion <- readline(prompt = "Knowing that your data is continuous, do you prefer it to be treated?(continuous/graded): ")
    X <- conversion(data, typ=opcion)
    
    
  } else if (tolower(type) == "graded") {
    
    X <- as.data.frame(data)
    
  } else {
    print("Tipo de datos no reconocido.")
  }
  
  
  #################################################
  
  # 2. Calibration
  
  if(type == "continuous"){
    calibrat <- calibration(X, model, estimator)
    Parameters <- calibrat$parameters[,1:4]
    alpha <- Parameters[,1]
    beta <- Parameters[,2]
    vare <- Parameters[,4]
    RES <- as.matrix(data)
    GOF <- calibrat$gof
  } else{
    t1 <- preel(X, model, estimator)
    LAM <- t1$loadings
    THRES <- t1$thresholds
    GOF <- t1$gof
    t2 <- irtp(LAM, t(THRES))
    DISC <- t2$D
    items <- c(1:ncol(data))
    Disc <- cbind(items, DISC)
    DIF <- t2$P
    t3 <- llgrmp(DISC, DIF)
    EPSI <- t3$EPS
    INTER <- t3$INTER
    t3.1 <- llgrmp2(DISC, DIF)
    Parameters <- t3.1
  }
  
  #################################################
  
  # 3. Scoring and reliabily 
  
  if(type=="continuous"){
    method <- readline(prompt = "Choose the estimation method you prefer.(ML/EAP): ")
    
    sco <- rmlestll(alpha, beta, vare, RES)
    se <- 1/sco$info
    SCORING <- scoring(RES, alpha, beta, vare, method,se,nodos)
    RELIABILITY <- SCORING$rxx_mar
    
  } else{
    t4 <- reapllgrad(data, LAM, THRES, nodos)
    SCORING <- t4$Scoring
    RELIABILITY <- t4$reli
  }
  
  
  if(type == "continuous"){
    type <- c(type, opcion)
  }
  listilla <- list(type=type, estimator=estimator, Parameters=Parameters, GOF=GOF, Scoring=SCORING, Reliability=RELIABILITY)
  
return(listilla)
}


