

# Calibration results LL-GRM
# X <- vector of items scores (scored 1 to k)
# LAM <- loading factor pattern (items x dimension factors)
# THRES <- threshold matrix (dimension thresholds x items)
# nodos <- matrix of quadrature points and weights



calillgrad <- function(X, LAM, THRES){
  X <- as.vector(X)
  n <- length(X)
  
  m <- dim(LAM)[1]
  r <- dim(LAM)[2]
  
  # Primera trnasformacion: de FA a GRM 
  
  tmp <- irtp(LAM, t(THRES))
  DISC <- tmp$D
  DIF <- tmp$P
  
  # Segunda transformacion: de GRM a LL-GRM
  tmp <- llgrmp(DISC, DIF)
  EPSI <- tmp$EPS
  INTER <- tmp$INTER
   
  # Presentación de los resultados de calibracion. 
  
  disp("")
  disp("Discrimination/Slope Estimates in the LL-GRM")
  DISC
  disp("Easiness item-category estimates in the LL-GRM")
  disp("EPSILON   ")
  EPSI
}