
# A partir de las discriminaciones y dificultades del modelo 
# 
# GRM obtiene los parametros epsilon del LL-GRM unidimensional
# 
# alpha <- vector de discriminaciones items x factores (1 en este caso)
# DIF <-  matriz  de dificultades items x umbrales
# 
# EPS <- matriz de indices epsilon items x umbrales
# INTER <- matriz de interceptos items x umbrales

llgrmp <- function(alpha, DIF){
  n <- nrow(DIF)
  m <- ncol(DIF)
  
  EPS <- zeros(n,m)
  INTER <- zeros(n,m)
  
  for(i in 1:n){
    for(j in 1:m){
      INTER[i, j]<- -1*alpha[i]*DIF[i,j]
      EPS[i, j] <- exp(INTER[i, j])
    }
  }
  results <- list(INTER = INTER, EPS=EPS)
  return(results)
}
