# A partir de las discriminaciones y dificultades del modelo 
# GRM obtiene los parametros epsilon del LL-GRM unidimensional


# alpha <- vector de discriminaciones items x factoes (1 en este caso)
# DIF   <- matriz de dificultades items x umbrales
# EPS   <- matriz de índices epsilon items x umbrales
# DELTA <- matriz de dificultades items x umbrales 

#########################################################################


llgrmp2 <- function(alpha, DIF){
  n <- nrow(DIF)
  m <- ncol(DIF)
  EPS <- matrix(0, nrow=n, ncol=m)
  DELTA <- matrix(0, nrow=n, ncol=m)
  INTER <- matrix(0, nrow=n, ncol=m)
  
  for(j in 1:n){
    for(k in 1:m){
      INTER[j,k]<- -1*alpha[j]*DIF[j,k]
      EPS[j,k]<- exp(INTER[j,k])
      DELTA[j,k] <- (1/EPS[j,k])^(1/alpha[j])
    }
  }
  res <- list(EPS=EPS, DELTA=DELTA)
  return(res)
}