
# EAP estimation for the ll-grm model. Joint estimation for all respondents 
# see "eapllgrad.m" for details 
# 
# 
# X <- matrix of items scores (scored 1 to 5)
# LAM <- loading factor pattern (dimension factor x items)
# THRES <- threshold matrix (dimension thresholds x items without a final row of zeros)
# sigj <- vector of item residual standard deviation
source("eapllgrad.R")
source("colmin.R")


reapllgrad <- function(X, LAM, THRES, nodos){
  
  m <- nrow(LAM)
  r <- ncol(LAM)
  
  # cal que el valor més baix sigui 1
  source("colmin.R")
  #X <- X+(as.numeric(1-colmin(as.matrix(as.numeric(colmin(X)),ncol=1))))
  X <- X +(1-colmin(X))
  n <- nrow(X)
  
  th <- c()
  se <- c()
  reli <- c()
  
  for(i in 1:n){
    tmp <- eapllgrad(X[i,], LAM, THRES, nodos)
    th[i] <-tmp$TH
    se[i] <-tmp$SE
    reli[i] <- tmp$RELI
  }
  
  # 90% aproximate confidence interval
  
  th_li <- c()
  th_ls <- c()
  
  for(i in 1:n){
      th_li[i] <- th[i]-1.65*se[i]
      th_ls[i] <- th[i]+1.65*se[i]
  }
  enc <- c("th", "th_li", "th_ls", "se" )
  Scoring <- data.frame(th=th, th_li=th_li, th_ls=th_ls, se=se)
  results <- list(Scoring=Scoring, reli=reli)
  return(results)
}
